Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.authentication
Interface UserReaderMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, NameListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, UserEditorMBean

public interface UserReaderMBean
extends NameListerMBean

Provides a set of methods for reading data about users. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getUserDescription(String userName)` Gets a user's description.
`String` | `listUsers(String userNameWildcard, int maximumToReturn)` Searches for a user name that matches a pattern.
`boolean` | `userExists(String userName)` Indicates whether the specified user exists.

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getUserDescription

    public String getUserDescription(String userName)
                              throws NotFoundException,
                                     InvalidParameterException

  Gets a user's description.

  Parameters:
    `userName` - - The name of an existing user.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### listUsers

    public String listUsers(String userNameWildcard,
                            int maximumToReturn)
                     throws InvalidParameterException

  Searches for a user name that matches a pattern.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.NameListerMBean` (which this MBean extends) to iterate through the returned list.

  This method does not sort the results.

  Parameters:
    `userNameWildcard` - - The pattern for which this method searches. The pattern can end with an `*` (asterisk) as a wildcard, which matches any string of characters. The search is not case-sensitive.

    For example, a pattern of `abc` matches exactly one user name that contains only `abc`, a pattern of `ab*` matches all user names that start with `ab`, and a pattern of `*` matches all user names.

    `maximumToReturn` - - The maximum number of user names that this method returns. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort results. If the parameter is set to 0 there is no maximum and all results are returned.
  Throws:
    `InvalidParameterException`

### userExists

    public boolean userExists(String userName)
                       throws InvalidParameterException

  Indicates whether the specified user exists.

  Parameters:
    `userName` - - The name that this method evaluates.
  Throws:
    `InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD